upstream fastcgi_backend {
     server  unix:/run/php/php7.2-fpm.sock;
}

server {

     listen 80;
     server_name oooast.test www.oooast.test;

     error_log /var/log/nginx/oooast_error.log warn;
     access_log /var/log/nginx/oooast_access.log;

     set $MAGE_ROOT /var/www/oooast;
     set $MAGE_MODE developer;
     include /var/www/oooast/nginx.conf.sample;
}

server {

    listen 443 ssl http2;

    error_log /var/log/nginx/oooast_secure_error.log warn;
    access_log /var/log/nginx/oooast_secure_access.log;

    ssl_certificate /etc/ssl/certs/ssl-vagrant-server.crt;
    ssl_certificate_key /etc/ssl/private/ssl-vagrant-server.key;
    ssl_session_cache builtin:1000 shared:SSL:10m;
    ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
    ssl_ciphers HIGH:!aNULL:!eNULL:!EXPORT:!CAMELLIA:!DES:!MD5:!PSK:!RC4;
    ssl_prefer_server_ciphers on;

    server_name oooast.test www.oooast.test;
    location / {
        proxy_pass http://127.0.0.1;
        proxy_set_header Host $http_host;
        proxy_set_header X-Forwarded-Host $http_host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto https;
        proxy_set_header X-Forwarded-Port 443;
    }
}
